Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface State

All Known Implementing Classes:
  StateImpl

public interface State
extends Belonging

Represents a discrete state in a state machine or workflow. It is contained by a StateMachine and refered to by Transitions A name that identifies the state uniquely within the context of a state machine.

                      name
     [State] <*>------> [java.lang.String]

See Also:
  `StateHome`, `StateImpl`

Method Summary
`void` | `enter(Transition trans)` This method is invoked whenever the state is entered.
`void` | `error(Transition trans)` This method is invoked whenever the state is transitioned from in erro.
`void` | `exit(Transition trans)` This method is invoked whenever the state is transitioned from.
`TransitionPolicy` | `getEnterPolicy()` Get the transition policy that is invoked when the state is entered.
`TransitionPolicy` | `getErrorPolicy()` Set the transition policy that is invoked when the state is exited with an invalid transition.
`TransitionPolicy` | `getExitPolicy()` Get the transition policy that is invoked when the state is exited.
`java.lang.String` | `getName()` Get the value of name
`void` | `setEnterPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is entered.
`void` | `setErrorPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is exited with an invalid transition.
`void` | `setExitPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is exited.
`void` | `setName(java.lang.String name)` Set the value of name

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getName

    public java.lang.String getName()

  Get the value of name

  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name

  Parameters:
    `names` - name to be added

### enter

    public void enter(Transition trans)

  This method is invoked whenever the state is entered. It searches for an enter policy and invokes it.

### exit

    public void exit(Transition trans)

  This method is invoked whenever the state is transitioned from. It searches for an Exit Policy and invokes it if present.

### error

    public void error(Transition trans)

  This method is invoked whenever the state is transitioned from in erro. It searches for an Error Policy and invokes it if present

### setEnterPolicy

    public void setEnterPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is entered.

### getEnterPolicy

    public TransitionPolicy getEnterPolicy()

  Get the transition policy that is invoked when the state is entered.

### setExitPolicy

    public void setExitPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is exited.

### getExitPolicy

    public TransitionPolicy getExitPolicy()

  Get the transition policy that is invoked when the state is exited.

### setErrorPolicy

    public void setErrorPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is exited with an invalid transition.

### getErrorPolicy

    public TransitionPolicy getErrorPolicy()

  Set the transition policy that is invoked when the state is exited with an invalid transition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved